You need at least Adobe Flash Player 9 for successful work. Download the latest version from here:
Adobe Flash Player